version: '3.8'

services:
  app:
    image: eamanu/llankay-backend:dev
    container_name: llankay_backend
    restart: always
    ports:
      - 8082:8082
    env_file:
      - .env_backend

  llankay_db:
    image: postgres:11
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    env_file:
      - .env_database
    ports:
      - 5432:5432
  
  frontend:
    image: eamanu/llankay-frontend:dev
    container_name: llankay_frontend
    restart: always
    ports:
      - 80:80
    env_file:
      - .env_frontend

volumes:
  postgres_data:
